System Requirements

dmBridge is a client-server system, with the templating engine running on the client, and the core (HTTP API) running on the server. The core must run on the CONTENTdm® server, but the client can run on any server.

Self-hosted users will need to make sure they have all of the following on both the client and server. (Hosted users already have all of these and can skip to the next section.)

  • PHP 5.2 or later
  • The PHP cURL extension
  • The PHP DOM extension

Additionally, the server requires the following:

  • CONTENTdm® 4.x or 5.x
  • Web server read & write access to a directory outside the document root
  • The PHP PDO extension is required for social data storage, but not necessary if the social features will not be used
    • (The database-specific PDO driver for your database is also necessary)